- name: "Set facts"
  set_fact:
    webprotege_install_dir: "/tmp/webprotege"
    
- name: "Clone repo"
  git:
    repo: "{{ webprotege_git_repo }}"
    dest: "{{ webprotege_install_dir }}"

- name: "Install webprotege dependencies"
  package:
    name: ["maven"]

- name: "run mvn clean package"
  shell: "mvn clean package"
  args:
    chdir: "{{ webprotege_install_dir }}"

